package edu.mermet.tp8.aide;

import javax.swing.*;
import java.awt.event.ActionEvent;

public class ConfigDialog extends JDialog {

    JLabel conversion;
    JLabel saisie;
    JLabel diaporama;
    JLabel boutons;

    JButton validerBouton;
    JButton annulerBouton;

    public ConfigDialog(JFrame owner){
        super(owner, true);
        setTitle("Configuration des menus");
        init();
        setLocationRelativeTo(null);
        setVisible(true);
    }

    private void init() {

        conversion = new JLabel("Conversion ");
        saisie = new JLabel("Saisie de texte");
        diaporama = new JLabel("Diaporama");
        boutons = new JLabel("Boutons");

        validerBouton = new JButton(new ValiderButton());
        annulerBouton = new JButton(new AnnulerButton());
    }


    private class ValiderButton extends AbstractAction {

        public ValiderButton(){
            super("Valider");
        }

        @Override
        public void actionPerformed(ActionEvent actionEvent) {
            //TODO validation des éléments ici
        }
    }

    private class AnnulerButton extends AbstractAction {

        public AnnulerButton(){
            super("Annuler");
        }

        @Override
        public void actionPerformed(ActionEvent actionEvent) {
            dispose();
        }
    }
}
